Package net.sf.saxon.trans

## Enum RecoveryPolicy

- java.lang.Object
- - java.lang.Enum<RecoveryPolicy>
  - - net.sf.saxon.trans.RecoveryPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RecoveryPolicy>`

      public enum RecoveryPolicy
      extends java.lang.Enum<RecoveryPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DO_NOT_RECOVER` | Constant indicating that when a recoverable error occurs, the processor should not attempt to take the defined recovery action, but should terminate with an error.
    `RECOVER_SILENTLY` | Constant indicating that the processor should take the recovery action when a recoverable error occurs, with no warning message.
    `RECOVER_WITH_WARNINGS` | Constant indicating that the processor should produce a warning when a recoverable error occurs, and should then take the recovery action and continue.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RecoveryPolicy` | `fromString​(java.lang.String s)` |
    `static RecoveryPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RecoveryPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECOVER_SILENTLY

          public static final RecoveryPolicy RECOVER_SILENTLY

      Constant indicating that the processor should take the recovery action when a recoverable error occurs, with no warning message.

    - #### RECOVER_WITH_WARNINGS

          public static final RecoveryPolicy RECOVER_WITH_WARNINGS

      Constant indicating that the processor should produce a warning when a recoverable error occurs, and should then take the recovery action and continue.

    - #### DO_NOT_RECOVER

          public static final RecoveryPolicy DO_NOT_RECOVER

      Constant indicating that when a recoverable error occurs, the processor should not attempt to take the defined recovery action, but should terminate with an error.

  - ### Method Detail

    - #### values

          public static RecoveryPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecoveryPolicy c : RecoveryPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecoveryPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static RecoveryPolicy fromString​(java.lang.String s)